Summary:	Roguelike game with a 3D user interface
Name:		scourge
Version:	0.21.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Adventure
Url:		http://scourgeweb.org/
Source0:	http://downloads.sourceforge.net/scourge/%{name}-%{version}.src.tar.lzma
Patch0:		scourge-0.21.1-fix-desktop-file.patch
BuildRequires:	mesa-common-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_net-devel
Requires:	%{name}-data = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
S.C.O.U.R.G.E. is a roguelike game with a 3D user interface.
The game allows a group of four characters to search for treasure, 
kill enemies, gain levels, etc.

%prep
%setup -qn %{name}
%patch0 -p1

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-data-dir=%{_gamesdatadir}/%{name} \
	--disable-rpath \
	--enable-optimized \
	--enable-threads=pth \
	--enable-stencil-buffer

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}{%{_datadir}/applications,%{_datadir}/pixmaps}
install assets/%{name}.desktop %{buildroot}%{_datadir}/applications
install assets/%{name}.png %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_gamesbindir}/%{name}
%attr(644,root,root) %{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.21.1-2mdv2010.0
+ Revision: 375490
- fix desktop file (fix #49422)
- fix Licence

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.1-1mdv2009.1
+ Revision: 320738
- update to new version 0.21.1
- drop patch0
- enable threads

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.20-1mdv2009.0
+ Revision: 231963
- aadd missing header
- add missing BRs
- New version 0.20

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-2mdv2008.1
+ Revision: 171102
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.19-1mdv2008.1
+ Revision: 96120
- new version
- move data files to its own package
- fix group

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-1mdv2008.0
+ Revision: 23937
- Import scourge

